<?	// Preamble
	$pageName = "CVS/SSH on Win32";
	$focused = "none";					// Dock icon name to gets a border
	require("parts/preamble.php");		// Load most of document
?>
<H2>CVS and SSH on Win32 platforms</H2>

<P>There is a CVS executable available at: <A href="ftp://bmrc.berkeley.edu/pub/winnt/util/cvs.exe">ftp://bmrc.berkeley.edu/pub/winnt/util/cvs.exe</A>
<P>And a SSH executable available at: <A href="ftp://ftp.cs.hut.fi/pub/ssh/contrib/ssh-1.2.14-win32bin.zip">ftp://ftp.cs.hut.fi/pub/ssh/contrib/ssh-1.2.14-win32bin.zip</A>

<P><STRONG>Note:</STRONG> There may be other SSH and CVS programs out there, but
this tutorial is on how to use the two above together to use CVS and SSH with
QuakeForge projects.

<P>1) Once you have the two files mentioned above, go make these
three directories where &quot;X&quot; is the drive you want to use for your
development.

<PRE>
X:\CVS
X:\SSH
X:\Source
</PRE>

<P>2) Put the file &quot;cvs.exe&quot;, which you have already downloaded
from the directory above into &quot;X:\CVS&quot;.

<P>3) Unzip the file &quot;ssh-1.2.14-win32bin.zip&quot; into &quot;X:\SSH&quot;.
You can do this using Info-ZIP, WinZip, PKZIP or whatever compression tool you
have handy that can extract ZIP files.

<P>4) Add the following lines to your &quot;C:\Autoexec.BAT&quot; file:

<PRE>
PATH=%PATH%;X:\CVS;X:\SSH
SET CVS_RSH=X:\SSH\ssh.exe
SET HOME=X:\Source
</PRE>

<P>5) Restart your computer.

<P>6) Now that you've done all that, you can finally get CVS write privileges
on your QuakeForge developer account. To "check out" (download) the source,
open up your trusty MS-DOS Prompt and do the following:

<PRE>
C:\WINDOWS> x:
X:\> cd \Source
X:\Source> cvs -d<EM>yourname</EM>@cvs.quakeforge.net:/project/cvs co <EM>module</EM>
</PRE>

<P>Make sure you replace &quot;<EM><TT>yourname</TT></EM>&quot; with your
QuakeForge User ID, and &quot;<EM><TT>module</TT></EM>&quot; with the name of
the module you want to work on. When you connect to QuakeForge, it will ask
you for your password; type it in, and the download should begin.
<P><STRONG>Note:</STRONG> <EM>Your characters will not be echoed back. This is
normal behavior, and there's nothing wrong.</EM>

<P>At time of writing, the following modules are in the QuakeForge CVS repository:
<DL>
	<DT><TT>game-source</TT>
		<DD>QuakeC Source code, modified to work with our gamecode compiler</DD>
	</DT>
	<DT><TT>htdocs</TT>
		<DD>Our Web site</DD>
	</DT>
	<DT><TT>htdocs-secure</TT>
		<DD>The members-only Web site</DD>
	</DT>
	<DT><TT>newtree</TT>
		<DD>QuakeForge: Newtree</DD>
	</DT>
	<DT><TT>quake2</TT>
		<DD>Our version of Quake II</DD>
	</DT>
	<DT><TT>quakeforge</TT>
		<DD>The development version of QuakeForge.</DD>
	</DT>
	<DT><TT>quakeforge-old</TT>
		<DD>An ancient-beyond-belief version of QuakeForge. What our original releases were based on. :)</DD>
	</DT>
</DL>

<P>Since the scope of this document was to tell you just how to use CVS and
SSH to work together, I'm not going to teach you CVS. To lean more about CVS,
and how to use it go to the <A href="http://www.gnu.org/manual/cvs/">GNU Web site</A>.

<P>If you find anything that should be added to this document, send me an email
at: <TT>absolute@squadron.org</TT>
<!--NOSEARCH-->
<?
	require("parts/postamble.php"); 	// Finish this sucker up
?>
